program fjf257b;

{$W-}

type
  t = record
    r : record
      s : string (2);
    end;
    b : Boolean;
  end;

const
  v : t = (r : (s : 'OK'));

begin
  if v.b = false then writeln (v.r.s) else writeln ('failed')
end.
